Setting up the Workspace

Compatibility #

SupportBotNode.JSDiscord.JSSupported
7.x16.x13.x.✅ Yes
6.x14.x13.x.❌ No
5.x12.x13.x.❌ No
4.x11.x13.x.❌ No
Anything Older10.x13.x.❌ No

Installing up Node.JS #

MacOS / Windows Installation
Download here!

Ubuntu Installation

  1. Before we begin with the installation we recommend you refresh the package index by typing: sudo apt update
  2. Now we can attempt to install Node.JS by running sudo apt install nodejs
  3. Once Node.JS has been installed we need to make sure you’re on version 16. You can check your version by running node -v
Output
 - v16.X.X
  1. Now thats done we need to install the package manager. sudo apt install npm

Install the Modules #

Before you can start here, You must have downloaded SupportBot and put it in a location on your system. Now head into that location using a Terminal/Command Prompt and run the following command to install Discord.JS and the other NPM modules.

You can do this easily by running:

npm install

If this did not install the required NPM modules, Then please refer to the steps below and install the modules manually.

Installing Discord.JS #

You must have downloaded SupportBot and put it in a location on your system. Now head into that location using a Terminal/Command Prompt and run the following command to install Discord.JS.

npm install discord.js --save

Output
 - v13.X.X

Installing Additional Modules #

Now let’s continue install the modules. You’re doing great so far!

npm install js-yaml && npm install google-translate-api

Powered by BetterDocs